> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify CIN

> Use this API to retrieve information from Corporate Identification Number (CIN). 

View the [test data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#cin) and use the information to trigger the validations. The test data can be used only in the sandbox environment.



## OpenAPI

````yaml post /cin
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /cin:
    post:
      tags:
        - CIN
      summary: Verify CIN
      description: >-
        Use this API to retrieve information from Corporate Identification
        Number (CIN). 


        View the [test
        data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#cin)
        and use the information to trigger the validations. The test data can be
        used only in the sandbox environment.
      operationId: VrsCinVerification
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
      requestBody:
        $ref: '#/components/requestBodies/CinRequest'
      responses:
        '200':
          $ref: '#/components/responses/CinResponse'
        '400':
          $ref: '#/components/responses/Response400Cin'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '409':
          $ref: '#/components/responses/Response409DuplicateId'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500V2'
        '502':
          $ref: '#/components/responses/Response502V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  requestBodies:
    CinRequest:
      description: Find the request parameters to retrieve your customer's CIN information.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CinRequestSchema'
  responses:
    CinResponse:
      description: Success response for retrieving the CIN information.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CinResponseSchema'
          examples:
            VALID:
              value:
                verification_id: ABC00123
                reference_id: 12345
                status: VALID
                cin: U72900KA2015PTC082988
                company_name: COMPANY NAME
                registration_number: 82987
                incorporation_date: '2015-09-23'
                cin_status: ACTIVE
                email: abc@xyz.com
                incorporation_country: INDIA
                director_details:
                  - din: '07168822'
                    name: Frank Kelvin
                    dob: '1997-07-21'
                    designation: DIRECTOR
                    address: ST BED KORAMANGALA, BANGALORE, KARNATAKA, INDIA, 566634
                  - din: '07168826'
                    name: John Doe
                    dob: '1997-02-07'
                    designation: DIRECTOR
                    address: ' GAUTAM NAGAR, NOIDA, UTTAR PRADESH, INDIA, 211361'
            INVALID:
              value:
                verification_id: ABC00123
                reference_id: 12345
                status: INVALID
                cin: U72900KA2015PTC082981
                company_name: null
                registration_number: null
                incorporation_date: null
                cin_status: null
                email: null
                incorporation_country: null
                director_details: []
    Response400Cin:
      description: Validation errors for Verify Cin API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Verification ID Missing:
              $ref: '#/components/examples/VerificationIdMissing'
            Verification ID With Special Chars:
              $ref: '#/components/examples/VerificationIdWithSpecialCharacter'
            Cin Missing:
              $ref: '#/components/examples/CinMissing'
            Invalid Cin:
              $ref: '#/components/examples/InvalidCin'
            Client ID/Client Secret in Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response409DuplicateId:
      description: Conflict error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Conflict Error:
              value:
                type: validation_error
                code: verification_id_already_exists
                message: verification ID already exists
    Response422:
      description: >-
        Validation error because of insufficient balance to process this
        request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Insufficient balance:
              value:
                type: validation_error
                code: insufficient_balance
                message: Insufficient balance to process this request
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
    Response502V2:
      description: Gateway error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Bad Gateway:
              value:
                type: internal_error
                code: verification_failed
                message: verification attempt failed
  schemas:
    CinRequestSchema:
      type: object
      required:
        - verification_id
        - cin
      example:
        verification_id: ABC00123
        cin: U72900KA2015PTC082988
      properties:
        verification_id:
          description: >-
            It is the unique ID you create to identify the API request. The
            maximum character limit is 50. Alphanumeric, period (.), hyphen (-).
            and underscore ( _ ) are allowed.
          type: string
          example: ABC00123
          default: ABC00123
        cin:
          description: >-
            It is the unique alphanumeric identifier assigned to companies
            registered under the Ministry of Corporate Affairs, India.
          type: string
          example: U72900KA2015PTC082988
          default: U72900KA2015PTC082988
    CinResponseSchema:
      type: object
      example:
        VALID:
          value:
            verification_id: ABC00123
            reference_id: 12345
            status: VALID
            cin: U72900KA2015PTC082988
            company_name: COMPANY NAME
            registration_number: 82987
            incorporation_date: '2015-09-23'
            cin_status: ACTIVE
            email: abc@xyz.com
            incorporation_country: INDIA
            director_details:
              - din: '07168822'
                name: Frank Kelvin
                dob: '1997-07-21'
                designation: DIRECTOR
                address: ST BED KORAMANGALA, BANGALORE, KARNATAKA, INDIA, 566634
              - din: '07168826'
                name: John Doe
                dob: '1997-02-07'
                designation: DIRECTOR
                address: ' GAUTAM NAGAR, NOIDA, UTTAR PRADESH, INDIA, 211361'
        INVALID:
          value:
            verification_id: ABC00123
            reference_id: 12345
            status: INVALID
            cin: U72900KA2015PTC082981
            company_name: null
            registration_number: null
            incorporation_date: null
            cin_status: null
            email: null
            incorporation_country: null
            director_details: []
      properties:
        verification_id:
          type: string
          description: It displays the unique ID you created to identify the API request.
          example: ABC00123
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.

            format: `int64`
          example: 1358
        status:
          type: string
          description: >-
            It displays the status of the CIN information. Possible values are:
            - `VALID`: CIN provided is valid - `INVALID`: CIN provided is
            invalid
          example: VALID
        cin:
          type: string
          description: It displays the entered CIN information.
          example: U72900KA2015PTC082988
        company_name:
          type: string
          description: >-
            It displays the name of the company registered under the Ministry of
            Corporate Affaris.
          example: COMPANY NAME
        registration_number:
          type: number
          description: It displays the registration number of the company.
          example: 82987
        incorporation_date:
          type: string
          description: It displays the date of incorporation of the company.
          example: 23-09-2015
        cin_status:
          type: string
          description: It displays the granular level status of the CIN information.
          example: ACTIVE
        email:
          type: string
          description: >-
            It displays the email ID of the company registered under the
            Ministry of Company Affairs.
          example: abc@xyz.com
        incorporation_country:
          type: string
          description: It displays the name of the country where the company is located.
          example: INDIA
        director_details:
          type: array
          items:
            description: It displays the details of the director of the company.
            properties:
              dob:
                type: string
                description: It displays the date of birth of the director.
              designation:
                type: string
                description: It displays the designation of the director.
              address:
                type: string
                description: It displays the address information of the director.
              din:
                type: string
                description: >-
                  It displays the unique identification number assigned to
                  individuals who are appointed as directors of companies in
                  India.
              name:
                type: string
                description: It displays the name of the director.
            example:
              dob: '1997-07-26'
              designation: DIRECTOR
              address: ST BED KORAMANGALA, BANGALORE, KARNATAKA, INDIA, 566634
              din: '07268882'
              name: John Doe
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  examples:
    VerificationIdMissing:
      value:
        type: validation_error
        code: verification_id_missing
        message: verification_id is missing in the request.
    VerificationIdWithSpecialCharacter:
      value:
        type: validation_error
        code: verification_id_value_invalid
        message: >-
          verification_id can include only alphanum, dot, hyphen and
          underscores.
    CinMissing:
      value:
        type: validation_error
        code: cin_missing
        message: cin is missing in the request.
    InvalidCin:
      value:
        type: validation_error
        code: cin_value_invalid
        message: >-
          cin should be of 21 character alphanumeric string of format
          (X00000XX0000XXX000000).
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````